Subject: Re: [PATCH] Avoid 'frame-local-ref' errors when printing backtrace.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 13 Oct 2022 15:09:16 +0200

Hi,

Andrew Whatson <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> wrote:
>>
>> It would be great if you could add a simple test case though, so that
>> the bug doesn’t eventually come back to haunt us.
>>
>> Could you send an updated patch?
>
> Ah yes, getting this covered in a test is on my list.  I had trouble
> writing a reproducer previously, I think the bug might only occur in a
> nested compilation context (top-level error compiling a dependency
> module), but I'll have another go.

Awesome.

>> PS: BTW, it’ll be great to have more patches from you!  :-) To that end,
>>     please check out the new Guile copyright policy and let us know what
>>     option you’d like to choose:
>>     <https://lists.gnu.org/archive/html/guile-devel/2022-10/msg00008.html>.
>
> I have already assigned copyright of my work on Guile to the FSF,
> happy for that to remain.

Oh sorry I had overlooked that, perfect!

Thanks,
Ludo’.